function E0090()
    MNA()CMU("XXXX")FAI(0)
end
function E0091()
    MNA()CMU("XXXX")FAI(1)
end
function E0092()
    MNA()CMU("XXXX")FAI(2)
end
function E0093()
    MNA()CMU("XXXX")FAI(3)
end
function E0094()
    MNA()CMU("XXXX")FAI(4)
end

function GoSoapCastleGolemHall()
    if(SKJ("SoapKingCome")) then
        FAO(2)FLP("TrapCage")
        TRA("CS_soapcastle_golemhall","FightSoapKing",41,18)
    elseif(SKJ("FightTap")) then
        FAO(2)FLP("TrapCage")
        TRA("CS_soapcastle_golemhall","FightTap",39,18)
    else
        PRI()FAO(1)TRA("CS_soapcastle_golemhall","E0093",2,18,0,33)
    end
end

function Back()
    KEY()
    FAC("king_normal")MS4("\nI will not back down.")NOD()
end

